コンテンツへスキップ

Kling Image · O3 · Image to Image

統合

モデルID kling-image/o3/image-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-image/o3/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.028 28 APIクレジット このページで実行

APIキーを取得
Kling 画像編集 4K出力参照入力4Kまで #image-to-image

最大10枚の参照画像から編集し、1K~4K出力とseriesモードに対応するO3 image-to-image

Doitongで作成

DoitongコミュニティがKling Imageで作成した公開作品です。ワンクリックでプロンプトを再利用できます。

公開作品:16件
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 動画

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё к... 動画

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно ... 動画

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swir... 動画

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swirling around her body. Her eyes briefly glow with warm golden light. A beautiful black witch hat appears on her head, and her clothes magically transform into an elegant black-and-gold witch costume...

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг... 動画

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 2500

2500文字以内の画像生成プロンプト。画像は@Image1、@Image2などで参照し、画像が1枚の場合は@Imageを使用します。

•必須 image_urls
ファイルをドロップ、または

参照画像のリスト(10枚以内)。プロンプトでは@Image1、@Image2などで参照し、番号は1から始めます。各ファイルは10.0 MB以下、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。

resolution デフォルト 1K

出力画像の解像度。標準は1K、高解像度は2K、超高解像度は4Kです。

aspect_ratio デフォルト auto

生成画像のアスペクト比。'auto'に設定すると、入力コンテンツから自動的に選択します。

num_images デフォルト 1

出力画像数。1~9で、`result_type` が `single` の場合のみ適用されます。

詳細設定 result_type · output_format · series_amount · enable_safety_checker · elements
result_type デフォルト single

出力タイプ: `single` は1枚の画像を生成し、`series` は関連する複数の画像を生成します。

output_format デフォルト png

結果の画像のファイル形式。

シリーズ画像数。2~9で、`result_type` が `series` の場合のみ適用されます。

キャラクターまたはオブジェクトを表す任意の顔制御要素。プロンプト内では@Element1、@Element2などで指定します。

POST /run/kling-image/o3/image-to-image?wait=20 見積もり → $0.028
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-image/o3/image-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Kling Image · O3 · Image to Imageについて

参照画像(`image_urls`、最大10枚)を、@Image1、@Image2などで参照するプロンプトに従って変換または合成します。`resolution`は1K、2K、4K、`aspect_ratio`はautoと最大21:9までの8種類の固定比率に対応します。`num_images`で1~9枚の単独画像、または`result_type`をseries、`series_amount`を指定して関連する2~9枚のセットを生成できます。出力はjpeg、png、webpです。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 2,500文字
2500文字以内の画像生成プロンプト。画像は@Image1、@Image2などで参照し、画像が1枚の場合は@Imageを使用します。
image_urls必須 images
型url[] · image
参照画像のリスト(10枚以内)。プロンプトでは@Image1、@Image2などで参照し、番号は1から始めます。各ファイルは10.0 MB以下、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。
elements任意
型object[]
キャラクターまたはオブジェクトを表す任意の顔制御要素。プロンプト内では@Element1、@Element2などで指定します。
elements[].frontal_image_url任意
型url · image
要素の主な視点を示す任意の正面画像。ファイルサイズは10.0 MB以下、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。
elements[].reference_image_urls任意
型url[] · image
別の角度を示す追加画像(0~3枚)の任意のセット。各ファイルは10.0 MB以下、幅と高さはそれぞれ300px以上、アスペクト比は0.40~2.50である必要があります。
resolution任意
型enum
デフォルト1K
1K2K4K
出力画像の解像度。標準は1K、高解像度は2K、超高解像度は4Kです。
result_type任意
型enum
デフォルトsingle
singleseries
出力タイプ: `single` は1枚の画像を生成し、`series` は関連する複数の画像を生成します。
num_images任意 num_outputs
型integer
デフォルト1
1 – 9
出力画像数。1~9で、`result_type` が `single` の場合のみ適用されます。
series_amount任意
型integer | null
2 – 9
シリーズ画像数。2~9で、`result_type` が `series` の場合のみ適用されます。
aspect_ratio任意
型enum
デフォルトauto
16:99:161:14:33:43:22:321:9auto
生成画像のアスペクト比。'auto'に設定すると、入力コンテンツから自動的に選択します。
output_format任意
型enum
デフォルトpng
jpegpngwebp
結果の画像のファイル形式。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-image/o3/image-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 28,
    "usd": "0.028",
    "charged": 28,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/kling-image/o3/image-to-image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt